Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.aggregate
Interface MultiCurve

All Superinterfaces:
  Aggregate, Geometry, MultiPrimitive, TransfiniteSet

    @UML(identifier="GM_MultiCurve",
         specification=ISO_19107)
    public interface MultiCurve

extends MultiPrimitive

An aggregate class containing only instances of `OrientableCurve`. The association role `element` shall be the set of orientable curves contained in this `MultiCurve`.

Since:
  GeoAPI 2.1
Version:
  ISO 19107

Method Summary
`Set<OrientableCurve>` | `getElements()` Returns the set containing the orientable curves that compose this `MultiCurve`.
`double` | `length()` Returns the accumulated length of all orientable curves contained in this `MultiCurve`.

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=MANDATORY,
         specification=ISO_19107)
    Set<OrientableCurve> getElements()

  Returns the set containing the orientable curves that compose this `MultiCurve`. The set may be modified if this geometry is mutable.

  Specified by:
    `getElements` in interface `Aggregate`
  Specified by:
    `getElements` in interface `MultiPrimitive`

### length

    @UML(identifier="length",
         obligation=MANDATORY,
         specification=ISO_19107)
    double length()

  Returns the accumulated length of all orientable curves contained in this `MultiCurve`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.